function [sig2r_out]= sample_sigma2r_rj(alpha_t, alpha_s, sigma2r,D)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Proposal distribution for sigma2r : inverse gamma distribution IG(a, beta)
%
% To avoid bad acceptance rates, the mean and variance of sig2r_star must be equal to 
% E[sig2r_star] = sigma2r*sum(alpha_t.^2)/sum(alpha_s.^2) ; 
% Var(sig2r_star) = D*sigma2r;
% D is a vague hyperparameter, tuning therefore the acceptance rate of
% birth and death moves. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
C = sum(alpha_t.^2)/sum(alpha_s.^2);
m_star = sigma2r*C;
var_star = (D)*sigma2r;


a = (m_star + 2*var_star)/var_star;
beta = (sigma2r/var_star)*C*(m_star + var_star);

inv_sig = gamrnd(a,inv(beta));
sig2r_out = inv(inv_sig);

