function result = exploitation_R(TR,Nbi,Nmc)

%------------------------------------------------------------------
% This function allows to plot the histograms of the samples of R
% 
% INPUT
%       TR : The MCMC samples R generated by the reversible jump procedure
%       Nbi   : number of burn-in iterations
%       Nmc   : length of the Markov Chain
%
% OUTPUT
%       result : 1 if the function is correctly used, 0 otherwise
%
%------------------------------------------------------------------

Nr = Nmc - Nbi;

figure
TRi = TR(1,Nbi+1:end);
xmin = min(TRi)*0.8;
xmax = max(TRi)*1.2;
Nc = sqrt(Nmc-Nbi+1); 
pas = (xmax-xmin)/Nc;
hi = hist(TRi,xmin:pas:xmax);
hi = hi/(pas*Nr);
bar(xmin:pas:xmax,hi,22)
set(gca,'ytick',[],'fontsize',14);
axis([0.5 6.5 0 max(hi)*1.1]);
ylabel(['P(R|Y)']);

result = 1;
